#!/usr/bin/perl

@words = ( "Hi, I'm Bill Childs", "Professional", "Technical", "Communication",
		   "Memo", "Technical Report Writing", "Peer Review", "Presentations",
		   "Bill repeats himself", "Bill talks about work 'in the field'",
		   "Resume", "Letter", "Bill talks about something technical",
		   "Syllabus", "Class Outline", "Someone in the class falls asleep",
		   "Someone in the class leaves during break", 
		   "Someone asks a non-relevant question about UNIX",
		   "One of the annoying kids says something", 
		   "Kid wears same clothes to class two days in a row",
		   "Bill writes something illegibal on the board" );

@words = &scramble( @words );

print "Content-type: text/html\n\n";
print qq~
<html>
<body>
<font size="2" face="Arial">
<center>
<h2>Prof Comm BINGO!</h2>
Cross out the phrases (as they are said by Bill) or events as<br>
they occur in the class. Don't forget to have <b>FUN!</b><br><br>
<table width="600" height="600" cellspacing="2" bgcolor="#000000">
~;

$count = 1;
for ( $i = 0; $i < 16; $i++ ) {
	print "<tr>" if ( $count % 4 == 1 );
	print qq~<td bgcolor="#FFFFFF" width="25%" height="25%" align="center">$words[$i]</td>~;
	print "</tr>" if ( $count % 4 == 0 );
	$count++;
}

print qq~
</table><br>
Computer Science made <b>FUN!</b> <sup>TM</sup>
</center></font>
</body>
</html>
~;

sub scramble {
	my @retVal;
	srand( time() ^ ( $$ + ( $$ << 15 ) ) );
	push( @retVal, splice( @_, rand @_, 1 ) ) while @_;
	return @retVal;
}